# Class: SegmentedBar

## "montage/ui/segmented-bar.reel"~ SegmentedBar

SegmentedBar A bar consisted of Segment components. Commonly used to visualize data, such as disk space usage. Will accept an array of objects, `RangeController` or `TreeController` as data source. `SegmentedBar` subclasses `AbstractButton` because of `AbstractButton`'s desired `PressComposer` behavior.

## Constructor

#### new SegmentedBar()

Source:
  - ui/segmented-bar.reel/segmented-bar.js, line 26
See:
  - https://developer.mozilla.org/en-US/docs/Web/Guide/CSS/Flexible_boxes for FlexBox usage

### Extends

- AbstractButton

### Events

#### action

Dispatched when the button is activated through a mouse click, finger tap, or when focused and the spacebar is pressed.

##### Properties:

Name | Type | Description
--- | --- | ---
`detail` | Map | The detail object as defined in AbstractControl#detail

Inherited From:
  - AbstractButton#event:action
Source:
  - ui/base/abstract-button.js, line 17

#### longAction

Dispatched when the button is pressed for a period of time, set by AbstractButton#holdThreshold.

##### Properties:

Name | Type | Description
--- | --- | ---
`{Map` |  | detail - The detail object as defined in AbstractControl#detail

Inherited From:
  - AbstractButton#event:longAction
Source:
  - ui/base/abstract-button.js, line 25